Bug 1573982 - Review Request: golang-github-dchest-safefile - Implements safe "atomic" saving of files
Summary: Review Request: golang-github-dchest-safefile - Implements safe "atomic" savi...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jared Smith
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-02 16:06 UTC by Robert-André Mauchin 🐧
Modified: 2018-06-14 19:13 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-14 18:16:00 UTC
Type: ---
jsmith.fedora: fedora-review+


Attachments (Terms of Use)

Description Robert-André Mauchin 🐧 2018-05-02 16:06:33 UTC
Spec URL: https://copr-be.cloud.fedoraproject.org/results/eclipseo/dnscrypt-proxy/fedora-rawhide-x86_64/00740348-golang-github-dchest-safefile/golang-github-dchest-safefile.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/eclipseo/dnscrypt-proxy/fedora-rawhide-x86_64/00740348-golang-github-dchest-safefile/golang-github-dchest-safefile-0-0.1.20180412git855e8d9.fc29.src.rpm

Description:
Go package safefile implements safe "atomic" saving of files.

Instead of truncating and overwriting the destination file, it creates a 
temporary file in the same directory, writes to it, and then renames the 
temporary file to the original name when calling Commit.}

Fedora Account System Username: eclipseo

Comment 1 Jared Smith 2018-05-23 13:13:28 UTC
I have reviewed this package.

 * It conforms to the Fedora Packaging Guidelines
 * It has an approved license
 * It builds cleanly in mock

This package is APPROVED.

Comment 2 Gwyn Ciesla 2018-05-29 13:10:26 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/golang-github-dchest-safefile

Comment 3 Fedora Update System 2018-05-29 22:25:11 UTC
golang-github-dchest-safefile-0-0.1.20180529git855e8d9.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-b9347a58a1

Comment 4 Fedora Update System 2018-05-29 22:25:57 UTC
golang-github-dchest-safefile-0-0.1.20180529git855e8d9.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-0811b47ae8

Comment 5 Fedora Update System 2018-05-30 13:42:03 UTC
golang-github-dchest-safefile-0-0.1.20180529git855e8d9.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-b9347a58a1

Comment 6 Fedora Update System 2018-05-30 16:56:25 UTC
golang-github-dchest-safefile-0-0.1.20180529git855e8d9.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-0811b47ae8

Comment 7 Fedora Update System 2018-06-14 18:16:00 UTC
golang-github-dchest-safefile-0-0.1.20180529git855e8d9.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2018-06-14 19:13:15 UTC
golang-github-dchest-safefile-0-0.1.20180529git855e8d9.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.